org.apache.geode.cache.configuration

## Class RegionAttributesType.DiskWriteAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.DiskWriteAttributes

- Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.DiskWriteAttributes
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="asynchronous-writes">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="bytes-threshold" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="time-interval" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="synchronous-writes" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
             </choice>
             <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` | `asynchronousWrites`
    `protected java.lang.String` | `maxOplogSize`
    `protected java.lang.String` | `rollOplogs`
    `protected java.lang.Object` | `synchronousWrites`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskWriteAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites` | `getAsynchronousWrites()` Gets the value of the asynchronousWrites property.
    `java.lang.String` | `getMaxOplogSize()` Gets the value of the maxOplogSize property.
    `java.lang.String` | `getRollOplogs()` Gets the value of the rollOplogs property.
    `java.lang.Object` | `getSynchronousWrites()` Gets the value of the synchronousWrites property.
    `void` | `setAsynchronousWrites(RegionAttributesType.DiskWriteAttributes.AsynchronousWrites value)` Sets the value of the asynchronousWrites property.
    `void` | `setMaxOplogSize(java.lang.String value)` Sets the value of the maxOplogSize property.
    `void` | `setRollOplogs(java.lang.String value)` Sets the value of the rollOplogs property.
    `void` | `setSynchronousWrites(java.lang.Object value)` Sets the value of the synchronousWrites property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### asynchronousWrites

          protected RegionAttributesType.DiskWriteAttributes.AsynchronousWrites asynchronousWrites

    - #### synchronousWrites

          protected java.lang.Object synchronousWrites

    - #### maxOplogSize

          protected java.lang.String maxOplogSize

    - #### rollOplogs

          protected java.lang.String rollOplogs

  - ### Constructor Detail

    - #### DiskWriteAttributes

          public DiskWriteAttributes()

  - ### Method Detail

    - #### getAsynchronousWrites

          public RegionAttributesType.DiskWriteAttributes.AsynchronousWrites getAsynchronousWrites()

      Gets the value of the asynchronousWrites property.
      Returns:
        possible object is `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites`

    - #### setAsynchronousWrites

          public void setAsynchronousWrites(RegionAttributesType.DiskWriteAttributes.AsynchronousWrites value)

      Sets the value of the asynchronousWrites property.
      Parameters:
        `value` - allowed object is `RegionAttributesType.DiskWriteAttributes.AsynchronousWrites`

    - #### getSynchronousWrites

          public java.lang.Object getSynchronousWrites()

      Gets the value of the synchronousWrites property.
      Returns:
        possible object is `Object`

    - #### setSynchronousWrites

          public void setSynchronousWrites(java.lang.Object value)

      Sets the value of the synchronousWrites property.
      Parameters:
        `value` - allowed object is `Object`

    - #### getMaxOplogSize

          public java.lang.String getMaxOplogSize()

      Gets the value of the maxOplogSize property.
      Returns:
        possible object is `String`

    - #### setMaxOplogSize

          public void setMaxOplogSize(java.lang.String value)

      Sets the value of the maxOplogSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRollOplogs

          public java.lang.String getRollOplogs()

      Gets the value of the rollOplogs property.
      Returns:
        possible object is `String`

    - #### setRollOplogs

          public void setRollOplogs(java.lang.String value)

      Sets the value of the rollOplogs property.
      Parameters:
        `value` - allowed object is `String`